Loading...
Searching...
No Matches
swapblk: Swap several rows
Dense LA » MAGMA BLAS and Auxiliary » Level 2: matrix-vector operations, O(n^2) work

## Functions

void | magmablas_cswapblk (magma_order_t order, magma_int_t n, magmaFloatComplex_ptr dA, magma_int_t ldda, magmaFloatComplex_ptr dB, magma_int_t lddb, magma_int_t i1, magma_int_t i2, const magma_int_t *ipiv, magma_int_t inci, magma_int_t offset, magma_queue_t queue)
| Blocked version: swap several pairs of lines.
void | magmablas_dswapblk (magma_order_t order, magma_int_t n, magmaDouble_ptr dA, magma_int_t ldda, magmaDouble_ptr dB, magma_int_t lddb, magma_int_t i1, magma_int_t i2, const magma_int_t *ipiv, magma_int_t inci, magma_int_t offset, magma_queue_t queue)
| Blocked version: swap several pairs of lines.
void | magmablas_sswapblk (magma_order_t order, magma_int_t n, magmaFloat_ptr dA, magma_int_t ldda, magmaFloat_ptr dB, magma_int_t lddb, magma_int_t i1, magma_int_t i2, const magma_int_t *ipiv, magma_int_t inci, magma_int_t offset, magma_queue_t queue)
| Blocked version: swap several pairs of lines.
void | magmablas_zswapblk (magma_order_t order, magma_int_t n, magmaDoubleComplex_ptr dA, magma_int_t ldda, magmaDoubleComplex_ptr dB, magma_int_t lddb, magma_int_t i1, magma_int_t i2, const magma_int_t *ipiv, magma_int_t inci, magma_int_t offset, magma_queue_t queue)
| Blocked version: swap several pairs of lines.

## Detailed Description

## Function Documentation

## magmablas_cswapblk()

void magmablas_cswapblk | ( | magma_order_t | order,
|  | magma_int_t | n,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloatComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_int_t | i1,
|  | magma_int_t | i2,
|  | const magma_int_t * | ipiv,
|  | magma_int_t | inci,
|  | magma_int_t | offset,
|  | magma_queue_t | queue )

Blocked version: swap several pairs of lines.

Used in magma_ctstrf() and magma_cssssm().

## magmablas_dswapblk()

void magmablas_dswapblk | ( | magma_order_t | order,
|  | magma_int_t | n,
|  | magmaDouble_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDouble_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_int_t | i1,
|  | magma_int_t | i2,
|  | const magma_int_t * | ipiv,
|  | magma_int_t | inci,
|  | magma_int_t | offset,
|  | magma_queue_t | queue )

Blocked version: swap several pairs of lines.

Used in magma_dtstrf() and magma_dssssm().

## magmablas_sswapblk()

void magmablas_sswapblk | ( | magma_order_t | order,
|  | magma_int_t | n,
|  | magmaFloat_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloat_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_int_t | i1,
|  | magma_int_t | i2,
|  | const magma_int_t * | ipiv,
|  | magma_int_t | inci,
|  | magma_int_t | offset,
|  | magma_queue_t | queue )

Blocked version: swap several pairs of lines.

Used in magma_ststrf() and magma_sssssm().

## magmablas_zswapblk()

void magmablas_zswapblk | ( | magma_order_t | order,
|  | magma_int_t | n,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDoubleComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_int_t | i1,
|  | magma_int_t | i2,
|  | const magma_int_t * | ipiv,
|  | magma_int_t | inci,
|  | magma_int_t | offset,
|  | magma_queue_t | queue )

Blocked version: swap several pairs of lines.

Used in magma_ztstrf() and magma_zssssm().